Browse files

Compatibility with older DKMS versions (GH-25)

  • Loading branch information...
1 parent d12ce73 commit 8ada8849f2944b679c659bf108ba3f25500c23fa @Lekensteyn Lekensteyn committed Jul 7, 2012
Showing with 7 additions and 5 deletions.
  1. +3 −3 Makefile.dkms
  2. +2 −0 NEWS
  3. +2 −2 README.md
View
6 Makefile.dkms
@@ -13,12 +13,12 @@ src_install:
sed 's/#MODULE_VERSION#/$(modver)/' dkms/dkms.conf > '$(DKMS_DEST)/dkms.conf'
build: src_install
- $(DKMS) build 'bbswitch/$(modver)'
+ $(DKMS) build -m bbswitch -v $(modver)
install: build
- $(DKMS) install 'bbswitch/$(modver)'
+ $(DKMS) install -m bbswitch -v $(modver)
uninstall:
- $(DKMS) remove bbswitch/$(modver) --all
+ $(DKMS) remove -m bbswitch -v $(modver) --all
.PHONY: all src_install build install uninstall
View
2 NEWS
@@ -1,3 +1,5 @@
+* Improved compatibility with older DKMS versions.
+
Version 0.4.2 - 26 April 2012
* Fixed a documentation error on unload_state.
View
4 README.md
@@ -40,8 +40,8 @@ DKMS support
If you have DKMS installed, you can install bbswitch in such a way that it
survives kernel upgrades. It is recommended to remove older versions of bbswitch
-by running `dkms remove bbswitch/OLDVERSION --all` as root. To install the new
-version, simply run:
+by running `dkms remove -m bbswitch -v OLDVERSION --all` as root. To install
+the new version, simply run:
# make -f Makefile.dkms

0 comments on commit 8ada884

Please sign in to comment.